Subject: Re: bug#30190: 27.0.50; term run in line mode shows user passwords

From: Noam Postavsky <[email-masked]>
Date: Sat, 03 Feb 2018 11:44:15 -0500

Tino Calancha <[email-masked]> writes:

> Noam Postavsky <[email-masked]> writes:
>
>> Yes, seems to have been the case for a long time, I can reproduce back
>> to 24.3 (oldest Emacs version I have running).
> This is a security risk.  I would like to have it fixed ASAP.
> Below patch seems to work.  Any feedback would be appreciated.

Doesn't look like that much of a risk to me: the user immediately sees
the problem, so it's more of a minor nuisance.

> -(defcustom comint-password-prompt-regexp

I don't see an alias for this one.  Otherwise I think it's okay.